org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.features

## Class FeaturesCrsParameterDefault

- java.lang.Object
- - org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
  - - org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.features.AbstractFeaturesCrs
    - - org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.features.FeaturesCrsParameterDefault

-     public class FeaturesCrsParameterDefault
      extends AbstractFeaturesCrs

  Verifies default CRS requesting /collection/{collectionId}/items

       Abstract Test 6: /conf/crs/crs-parameter-default
       Test Purpose: Verify that the default value for parameter crs has been implemented correctly
       Requirement: /req/crs/fc-crs-default-value, /req/crs/ogc-crs-header, /req/crs/ogc-crs-header-value

       Test Method
       For each spatial feature collection, send a request without the crs parameter and verify that the response
       includes a Content-Crs http header with the value of the default CRS identifier of the collection.

  Author:
    Lyn Goltz

- - ### Field Summary

    - ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `requestLoggingFilter, responseLoggingFilter, rootUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeaturesCrsParameterDefault()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `verifyFeaturesCrsParameterDefault(String collectionId, io.restassured.path.json.JsonPath collection)` Test: default CRS requesting /collections/{collectionId}/items

    - ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.features.AbstractFeaturesCrs

      `collectionIdAndJson, collectionIdAndJsonAndCrs, collectionIdAndJsonAndCrsAndDefaultCrs, retrieveRequiredInformationFromTestContext`

    - ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `clearMessages, getRequest, getResponse, init, initCommonFixture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FeaturesCrsParameterDefault

          public FeaturesCrsParameterDefault()

  - ### Method Detail

    - #### verifyFeaturesCrsParameterDefault

          public void verifyFeaturesCrsParameterDefault(String collectionId,
                                                        io.restassured.path.json.JsonPath collection)

      Test: default CRS requesting /collections/{collectionId}/items
      Parameters:
        `collectionId` - id id of the collection, never `null`
        `collection` - the /collection object, never `null`

Copyright © 2023 Open Geospatial Consortium. All rights reserved.